package cn.ibizlab.assetmanagement.core.asset.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.assetmanagement.core.asset.domain.EAMSparePartsGroup;
import cn.ibizlab.assetmanagement.core.asset.filter.EAMSparePartsGroupSearchContext;


import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[EAMSparePartsGroup] 服务对象接口
 */
public interface IEAMSparePartsGroupService extends IService<EAMSparePartsGroup>{

    boolean create(EAMSparePartsGroup et) ;
    void createBatch(List<EAMSparePartsGroup> list) ;
    boolean update(EAMSparePartsGroup et) ;
    void updateBatch(List<EAMSparePartsGroup> list) ;
    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    EAMSparePartsGroup get(String key) ;
    EAMSparePartsGroup getDraft(EAMSparePartsGroup et) ;
    boolean checkKey(EAMSparePartsGroup et) ;
    boolean save(EAMSparePartsGroup et) ;
    void saveBatch(List<EAMSparePartsGroup> list) ;
    Page<EAMSparePartsGroup> searchDefault(EAMSparePartsGroupSearchContext context) ;
    /**
     *自定义查询SQL
     * @param sql  select * from table where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return select * from table where id = '1'
     */
    List<JSONObject> select(String sql, Map param);
    /**
     *自定义SQL
     * @param sql  update table  set name ='test' where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return     update table  set name ='test' where id = '1'
     */
    boolean execute(String sql, Map param);

    List<EAMSparePartsGroup> getEamsparepartsgroupByIds(List<String> ids) ;
    List<EAMSparePartsGroup> getEamsparepartsgroupByEntities(List<EAMSparePartsGroup> entities) ;
}


